- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QXmlNamespaceSupport Class Reference

Search for all occurrences

## Detailed Description

Definition at line 88 of file qxml.h.

`#include <qxml.h>`

List of all members.

## Public Member Functions
| QXmlNamespaceSupport ()
| ~QXmlNamespaceSupport ()
void | setPrefix (const QString &, const QString &)
QString | prefix (const QString &) const
QString | uri (const QString &) const
void | splitName (const QString &, QString &, QString &) const
void | processName (const QString &, bool, QString &, QString &) const
QStringList | prefixes () const
QStringList | prefixes (const QString &) const
void | pushContext ()
void | popContext ()
void | reset ()
## Friends
class | QXmlSimpleReaderPrivate

## Constructor & Destructor Documentation

QXmlNamespaceSupport | ( |  | ) |

~QXmlNamespaceSupport | ( |  | ) |

## Member Function Documentation

void setPrefix | ( | const QString & | ,
|  | const QString & |
| ) |  |

Search for all occurrences

QString prefix | ( | const QString & |  | ) | const

Search for all occurrences

QString uri | ( | const QString & |  | ) | const

Search for all occurrences

void splitName | ( | const QString & | ,
|  | QString & | ,
|  | QString & |
| ) |  | const

Search for all occurrences

void processName | ( | const QString & | ,
|  | bool | ,
|  | QString & | ,
|  | QString & |
| ) |  | const

Search for all occurrences

QStringList prefixes | ( |  | ) | const

Search for all occurrences

QStringList prefixes | ( | const QString & |  | ) | const

Search for all occurrences

void pushContext | ( |  | ) |

Search for all occurrences

void popContext | ( |  | ) |

Search for all occurrences

void reset | ( |  | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QXmlSimpleReaderPrivate `[friend]`

Search for all occurrences

Definition at line 110 of file qxml.h.

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport
QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport QXmlNamespaceSupport